Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.CacheEntryOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.CacheEntry`, `ClientWireProtocol.CacheEntry.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.CacheEntryOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.CacheEntry.Action` | `getAction()` | `.xg.cmdcomp.CacheEntry.Action action = 4;`
`int` | `getActionValue()` | `.xg.cmdcomp.CacheEntry.Action action = 4;`
`long` | `getCmdTime()` | `uint64 cmd_time = 1;`
`String` | `getDatabaseUuid()` | `string database_uuid = 5;`
`com.google.protobuf.ByteString` | `getDatabaseUuidBytes()` | `string database_uuid = 5;`
`long` | `getQueryHash()` | `uint64 query_hash = 3;`
`String` | `getQueryUuid()` | `string query_uuid = 2;`
`com.google.protobuf.ByteString` | `getQueryUuidBytes()` | `string query_uuid = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getCmdTime

long getCmdTime()
`uint64 cmd_time = 1;`

Returns:
  The cmdTime.

### getQueryUuid

String getQueryUuid()
`string query_uuid = 2;`

Returns:
  The queryUuid.

### getQueryUuidBytes

com.google.protobuf.ByteString getQueryUuidBytes()
`string query_uuid = 2;`

Returns:
  The bytes for queryUuid.

### getQueryHash

long getQueryHash()
`uint64 query_hash = 3;`

Returns:
  The queryHash.

### getActionValue

int getActionValue()
`.xg.cmdcomp.CacheEntry.Action action = 4;`

Returns:
  The enum numeric value on the wire for action.

### getAction

ClientWireProtocol.CacheEntry.Action getAction()
`.xg.cmdcomp.CacheEntry.Action action = 4;`

Returns:
  The action.

### getDatabaseUuid

String getDatabaseUuid()
`string database_uuid = 5;`

Returns:
  The databaseUuid.

### getDatabaseUuidBytes

com.google.protobuf.ByteString getDatabaseUuidBytes()
`string database_uuid = 5;`

Returns:
  The bytes for databaseUuid.